/* ----------------------------------------------------------------
	Canvas: Photographer
-----------------------------------------------------------------*/

:root {
	--cnvs-themecolor: #20252e;
	--cnvs-themecolor-rgb: 32, 37, 44;
	--cnvs-dark-color: #050505;

	--cnvs-body-font: 'Poppins', sans-serif;
	--cnvs-primary-font: 'Poppins', sans-serif;
}

body.dark {
	--cnvs-body-bg: var(--cnvs-dark-color);
}









.i-products {
	position: relative;
	overflow: hidden;
	border-radius: 4px;
}

.i-products:hover { box-shadow: 0 4px 6px rgba(0,0,0,.04); }

.i-products .products-image,
.i-products .products-image img {
	border-top-right-radius: 4px;
	border-top-left-radius: 4px;
}

.i-products .products-image img {
	-webkit-transform: translateY(0);
	transform: translateY(0);
	-webkit-transition: transform .2s ease-in-out;
    transition: transform .2s ease-in-out;
    -webkit-backface-visibility: hidden;
}

.i-products:hover .products-image img {
	-webkit-transform: translateY(-10px);
	transform: translateY(-10px);
}

.i-products .products-image .badge {
	position: absolute;
	display: block;
	top: 10px;
	left: 10px;
	color: #222;
	background-color: #FFF;
	padding: 5px;
	border-radius: 3px;
}

.i-products .products-desc {
	position: relative;
	padding: 25px;
	background-color: #FFF;
	border: solid #EEE;
	border-width: 0 1px 1px;
	border-bottom-right-radius: 4px;
	border-bottom-left-radius: 4px;
	min-height: 250px;
	-webkit-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
    -webkit-backface-visibility: hidden;
}

.i-products:hover .products-desc {
	margin-top: -123px;
	min-height: 373px;
	box-shadow: 0 -3px 20px 3px rgba(0,0,0,.4);
}

.i-products .products-desc h3 {
	font-size: 20px;
	margin-bottom: 8px;
}

h2 {
	font-size:24px;
	padding-bottom:0px;
	margin-bottom:10px;
}

.i-products .products-desc p,
.i-products .products-desc .counter,
.i-products .products-hoverlays .list-group-item,
.i-products .products-hoverlays .product-user a,
.i-products .products-hoverlays .products-location { color: #999; }

.i-products .products-desc p {
	font-weight: 400;
	margin-bottom: 25px;
}

.i-products .products-desc .counter {
	display: block;
	font-size: 13px;
	font-weight: 600;
}

.i-products .products-desc h3 a,
.i-products .products-desc .counter span,
.i-products .products-desc .counter strong,
.i-products .products-hoverlays .list-group-item strong { color: #333 }

.counter.counter-xs {
	font-size: 13px;
	color: #555;
}

.i-products .products-hoverlays .list-group-item {
	padding-left: 0;
	font-size: 14px;
}

.i-products .products-hoverlays .product-user img {
	width: 40px;
	height: 40px;
	border-radius: 50%;
	margin-right: 10px;
}

.i-products .products-hoverlays {
	position: absolute;
	opacity: 0;
	left: 0;
	right: 0;
	bottom: -100px;
	width: 100%;
	padding-left: 25px;
	padding-right: 25px;
	background-color: #FFF;
	visibility: hidden;
	-webkit-transform: translateY(-20px);
	transform: translateY(-20px);
	border-bottom-right-radius: 4px;
	border-bottom-left-radius: 4px;
	z-index: 1;
	transition: all .2s ease-in-out;
	-webkit-backface-visibility: hidden;
}

.i-products:hover .products-hoverlays {
	bottom: 0;
	opacity: 1;
	visibility: visible;
	transition: all .2s ease-in-out;
}

.i-products .skills li > span { top: -30px; }

		@media (min-width: 1040px) {
			.show_pc {
				display:block;
			}
			.show_mobile {
				display:none;
			}
			.portofliopadding {
				padding-left:10px;
			}
			
					.slider-element h3 {
					font-size:43px;
					font-family: 'almoni-dl';
				}
				
				.slider-element h4 {
					font-size:43px;
					font-family: 'almoni-dl';
				}
				.slider-element h5 {
					font-size:23px;
					font-family: 'almoni-dl';
				}
				.consultingdiv {
					height:600px;
				}
				
				
		}
		
		
		@media (max-width: 1240px) {
			
				.video-wrapX {
					height:1400px;
				}
				.videopro {
					width:200vw!important;
				}
				
		} @media (min-width: 1040px) {
			.video-wrapX {
					height:1100px;
				}
				.videopro {
					width:140vw!important;
				}
		}
		
			@media (max-width: 540px) {
			
				.video-wrapX {
					height:2400px;
				}
				.videopro {
					width:2500vw!important;
				}
				
		}
			@media (max-width: 1040px) {
				
				.consultingdiv {
					min-height:600px;
				}
				.video-wrapX {
					min-height:1000px;
				}
			.show_pc {
				display:none;
			}
			.show_mobile {
				display:block;
			}
			
					.slider-element h3 {
					font-size:23px;
					font-family: 'almoni-dl';
				}
				
				.slider-element h4 {
					font-size:23px;
					font-family: 'almoni-dl';
				}
				.slider-element h5 {
					font-size:18px;
					font-family: 'almoni-dl';
				}
				
		}
			.gradient-ocean, .h-gradient-ocean:hover {
		background-image: linear-gradient(to top, #2e3e54, #3a7daa) !important; 
		color:#fff!important;
		
		}
		
		
		@media (max-width: 1040px) {
		
		
		.margin-topdiv {
			margin-top:60px;
		}
		
		.div_demo {
			height:950px;
		}
		}
		
		@media (min-width: 1040px) {
		
		

		.div_demo {
			height:750px;
		}
		}
		
		
@-webkit-keyframes scaleIn {
			to {
				transform: scale(1.3, 1.3);
			}
			}
			@keyframes scaleIn {
			to {
				transform: scale(1.3, 1.3);
			}
		}
		.scaleIn {
			-webkit-animation-name: scaleIn;
			animation-name: scaleIn;
		}

		@-webkit-keyframes scaleOut {
			from {
				transform: scale(1.3, 1.3);
			}
			}
			@keyframes scaleOut {
			from {
				transform: scale(1.3, 1.3);
			}
		}
		.scaleOut {
			-webkit-animation-name: scaleOut;
			animation-name: scaleOut;
		}
.text-light {
	color:white!important;
}
.grid-container,
.grid-inner {
  position: relative;
  overflow: hidden;
  will-change: transform;
}

.grid-inner {
  width: 100%;
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
}

.grid-container {
  transition: height 0.4s ease;
}

.img-hover-wrap {
	padding-top:30px;
}


#image-carousel { overflow: hidden; }

#image-carousel .carousel-column {
	display: flex;
	flex-direction: column;
	flex: 1 0;
	margin: 0;
	padding: 0;
	list-style: none;
}
#image-carousel .column-1 { padding-right: 12px; }
#image-carousel .column-2 { padding-left: 12px; }

#image-carousel .carousel-column-container {
	display: flex;
	flex-direction: row;
}

#image-carousel .carousel-grid-item {
	display: flex;
	flex: 1;
	margin: 0;
	padding: 0;
}

#image-carousel .carousel-grid-item .item {
	flex: 1;
	position: relative;
	width: 100%;
	min-height: 150px;
	margin-bottom: 24px;
	background-repeat: no-repeat;
	background-position: center center;
	background-size: cover;
	border-radius: 5px;
	transition: all .2s ease-out;
}

.button:hover,
.top-phone:hover,
#image-carousel .carousel-grid-item:hover a.item {
	box-shadow: 0 5px 8px rgba(0, 0, 0, 0.2);
	transform: translateY(-3px);
	opacity: .95;
	color: #FFF;
}

#image-carousel .carousel-grid-item .item blockquote {z-index: 1;}

.img-overlay::after {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	border-radius: 5px;
	background-color: rgba(var(--cnvs-themecolor-rgb, 38, 125, 244), 0.8);
}

.videoplay-on-hover .vertical-middle,
.videoplay-on-hover .video-overlay {
	opacity: 1;
	-webkit-transition: opacity .2s ease;
	-o-transition: opacity .2s ease;
	transition: opacity .2s ease;
}

.videoplay-on-hover:hover .vertical-middle,
.videoplay-on-hover:hover .video-overlay { opacity: 0; }

.button:hover,
.top-phone:hover,
#image-carousel .carousel-grid-item:hover a.item {
	box-shadow: 0 5px 8px rgba(0, 0, 0, 0.2);
	transform: translateY(-3px);
	opacity: .95;
	color: #FFF;
}

#image-carousel .carousel-grid-item .item blockquote { z-index: 1; }

.img-overlay::after {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	border-radius: 5px;
	background-color: rgba(var(--cnvs-themecolor-rgb, 38, 125, 244), 0.8);
}

/* ----------------------------------------------------------------
	Owl Carousel CSS
-----------------------------------------------------------------*/
.owl-carousel {
  --cnvs-carousel-animation-transition: 1000ms;
  --cnvs-owl-video-play-icon-size:	64px;
  --cnvs-owl-video-play-icon: url("images/icons/play.png");
  --cnvs-owl-video-play-icon-hover: scale(1.3);
  --cnvs-owl-autoHeight-transition: 500ms ease-in-out;
  --cnvs-owl-nav-hidden: true;
  --cnvs-owl-nav-border: 1px solid rgba(var(--cnvs-contrast-rgb), 0.2);
  --cnvs-owl-nav-background: var(--cnvs-body-bg);
  --cnvs-owl-nav-color: var(--cnvs-contrast-600);
  --cnvs-owl-nav-border-radius: 50%;
  --cnvs-owl-full-nav-size: 28px;
  --cnvs-owl-full-nav-border-radius: 0.25rem;
  --cnvs-owl-full-nav-bgcolor: rgba(var(--cnvs-contrast-rgb), 0.4);
  --cnvs-owl-full-nav-color: var(--cnvs-contrast-100);
  --cnvs-owl-full-nav-hover-bgcolor: var(--cnvs-themecolor);
  --cnvs-owl-full-nav-hover-color: var(--cnvs-body-bg);
  --cnvs-owl-dots-background: var(--cnvs-themecolor);
  --cnvs-owl-dots-opacity: 0.5;
  --cnvs-owl-nav-sizes: 36px;
  --cnvs-owl-dots-gutters: 0.25rem;
  --cnvs-owl-dots-sizes: 0.5rem;
  --cnvs-owl-nav-bg: var(--cnvs-themecolor);
  --cnvs-owl-nav-margin: calc(var(--cnvs-owl-nav-sizes) / -2);
  --cnvs-owl-nav-with-dots: calc( var(--cnvs-owl-nav-margin) - calc( calc( 30px + var(--cnvs-owl-dots-sizes) ) / 2 ) );
}
@-webkit-keyframes fadeout {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@keyframes fadeout {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
.owl-height {
  transition: height 500ms ease-in-out;
}
@media (prefers-reduced-motion: reduce) {
  .owl-height {
    transition: none;
  }
}

.owl-carousel {
  direction: ltr;
  display: none;
  -webkit-tap-highlight-color: transparent;
  position: relative;
  z-index: 1;
  width: 100%;
  touch-action: manipulation;
}
.owl-carousel .animated {
  -webkit-animation-duration: var(--cnvs-carousel-animation-transition);
  animation-duration: var(--cnvs-carousel-animation-transition);
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
}
.owl-carousel .owl-animated-in {
  z-index: 0;
}
.owl-carousel .owl-animated-out {
  z-index: 1;
}
.owl-carousel .fadeOut {
  -webkit-animation-name: fadeOut;
  animation-name: fadeOut;
}
.owl-carousel .owl-stage {
  position: relative;
}
.owl-carousel .owl-stage::after {
  content: ".";
  display: block;
  clear: both;
  visibility: hidden;
  line-height: 0;
  height: 0;
}
.owl-carousel .owl-stage-outer {
  position: relative;
  overflow: hidden;
  -webkit-transform: translate3d(0, 0, 0);
   
   
}

#image-carousel  .owl-stage-outer{
  height: 700px !important;
}


.owl-carousel.owl-loaded {
  display: block;
}
.owl-carousel.owl-loading {
  display: block;
  min-height: 100px;
  background: no-repeat center center;
  opacity: 0;
  display: block;
}
.owl-carousel .owl-refresh .owl-item {
  display: none;
}
.owl-carousel .owl-item {
  position: relative;
  min-height: 1px;
  float: left;
  -webkit-tap-highlight-color: transparent;
  -webkit-touch-callout: none;
}
.owl-carousel .owl-item img {
  display: block;
  width: 100%;
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
}
.slider-element .owl-carousel .owl-item img {
  -webkit-transform-style: preserve-3d;
}
.owl-carousel .owl-nav.disabled,
.owl-carousel .owl-dots.disabled {
  display: none;
}
.owl-carousel .owl-nav .owl-prev,
.owl-carousel .owl-nav .owl-next,
.owl-carousel .owl-dot,
.owl-carousel .owl-dots button {
  cursor: pointer;
  cursor: hand;
  padding: 0;
  border: 0;
  user-select: none;
}
.owl-carousel.owl-hidden {
  opacity: 0;
}
.videoplay-on-hover {
	text-align:center;
}

#header {
	z-index: 399;
}

.slider-element h2 {
	font-size: 3.2rem;
	line-height: 1;
	font-weight: 700;
	letter-spacing: 0;
}

.button.button-change.button-color {
	background-color: #FFF !important;
	text-shadow: none;
}

.button.button-change { box-shadow: 0px 28px 32px -22px rgba(0,0,0,0.75); }

.dark.button.button-change,
.dark.section { background-color: var(--cnvs-dark-color) !important; }

.gradient-border {
	--borderWidth: 3px;
	background: #1D1F20;
	position: relative;
	border-radius: 0;
}

.gradient-border::after {
	content: '';
	position: absolute;
	top: calc(-1 * var(--borderWidth));
	left: calc(-1 * var(--borderWidth));
	height: calc(100% + var(--borderWidth) * 2);
	width: calc(100% + var(--borderWidth) * 2);
	background: linear-gradient(60deg, #f79533, #f37055, #ef4e7b, #a166ab, #5073b8, #1098ad, #07b39b, #6fba82);
	border-radius: var(--borderWidth);
	z-index: -1;
	animation: animatedgradient 3s ease alternate infinite;
	background-size: 300% 300%;
}

@keyframes animatedgradient {
	0% { background-position: 0% 50%; }
	50% { background-position: 100% 50%; }
	100% { background-position: 0% 50%; }
}

@media (min-width: 992px) {
	#header.transparent-header {
		--cnvs-header-bg: transparent;
		--cnvs-header-border-color: transparent;
	}

	#header + .include-header {
		margin-top: calc(calc(-1 * var(--cnvs-header-height)) - 1px);
		display: inline-block;
		vertical-align: bottom;
		width: 100%;
	}

	.slider-element h2 {
		font-size: 4.8rem;
		line-height: 1.2;
		letter-spacing: -4px;
	}

}

/* img-hover-wraps */
.img-hover-wrap {
	-webkit-transition: transform .3s ease;
	-o-transition: transform .3s ease;
	transition: transform .3s ease;
	-moz-transform-style: flat !important;
	-webkit-backface-visibility: hidden;
}

.img-hover-wrap:hover {
	-webkit-transform: scale(1.06);
	-ms-transform: scale(1.06);
	-o-transform: scale(1.06);
	transform: scale(1.06);
	z-index: 2;
}

.img-hover-card > a::after {
	content: " ";
	width: 100%;
	height: 100%;
	position: absolute;
	left: 0;
	top: 0;
	background-color: rgba(0, 0, 0, 0.3);
	z-index: 0;
	-webkit-transition: background-color .3s ease;
	-o-transition: background-color .3s ease;
	transition: background-color .3s ease;
}

.img-hover-wrap:hover .img-hover-card > a::after { background-color: rgba(0, 0, 0, 0.6); }

.img-hover-card {
	position: relative;
	display: block;
	will-change: transform;
	transition: all .3s ease;
	box-shadow: 0 10px 40px transparent;
}

.img-hover-card a {
	width: 100%;
	max-width: 100%;
	display: block;
	z-index: 99;
}

.img-hover-card.hover-in {
	transition: -webkit-transform .2s ease-out;
	transition: transform .2s ease-out;
	transition: transform .2s ease-out, -webkit-transform .2s ease-out;
}

.img-hover-card.hover-3d { z-index: 2; }

.img-hover-card.hover-out {
	transition: -webkit-transform .2s ease-in;
	transition: transform .2s ease-in;
	transition: transform .2s ease-in, -webkit-transform .2s ease-in;
}

.img-hover-wrap:hover .img-hover-card { box-shadow: 0 10px 40px rgba(255, 255, 255, 0.4); }

.img-hover-wrap .img-hover-detail {
	position: absolute;
	top: auto;
	left: 40px;
	bottom: 40px;
	pointer-events: none;
	-webkit-backface-visibility: hidden;
	-webkit-transform: scale(1) translateY(40px) translateZ(50px);
	-ms-transform: scale(1) translateY(30px) translateZ(50px);
	-o-transform: scale(1) translateY(30px) translateZ(50px);
	transform: scale(1) translateY(30px) translateZ(50px);
	-webkit-transition: transform .2s ease;
	-o-transition: transform .2s ease;
	transition: transform .2s ease;
}

.img-hover-wrap:hover .img-hover-detail {
	opacity: 1;
	-webkit-transform: scale(1.06) translateY(-5px) translateZ(50px);
	-ms-transform: scale(1.06) translateY(-5px) translateZ(50px);
	-o-transform: scale(1.06) translateY(-5px) translateZ(50px);
	transform: scale(1.06) translateY(-5px) translateZ(50px);
}

.img-hover-wrap .img-hover-title {
	margin: 0 0 6px 0;
	font-size: 17px;
	font-weight: 600;
	text-shadow: 0 1px 1px rgba(0, 0, 0, 0.3);
	z-index: 9;
}

.img-hover-wrap .img-link {
	opacity: 0;
	width: 20px;
	height: 20px;
	border: 1px solid #FFF;
	border-radius: 50%;
	text-align: center;
	line-height: 18px;
	font-size: 11px;
	-webkit-transition: opacity .3s ease;
	-o-transition: opacity .3s ease;
	transition: opacity .3s ease;
}

.img-hover-wrap:hover .img-link { opacity: 1; }

.img-hover-detail a { color: #FFF; }

.testimonials-carousel .owl-item {
	transform: translateX(-40px);
	opacity: 0;
	transition: transform .4s, opacity .3s;
}

.testimonials-carousel .owl-item.active {
	transform: translateX(0);
	opacity: 1;
}

@media (max-width: 991.98px) {
	#header.dark.transparent-header, #header.dark.semi-transparent {  }

	.primary-menu ul > li > a, .primary-menu.style-2 > div > ul > li > a {
		padding: 10px !important;
		border-radius: 0 !important;
		margin-right: inherit !important;
	}
}

.css3-spinner > div {
	margin-top: -36px;
	margin-left: -32px;
	width: 62px;
	height: 72px;
	background-color: transparent !important;
	-webkit-animation: none;
	animation: none;
}

#gotoTop { border-radius: 50% }

.dark-mode {
	position: fixed;
	top: auto;
	right: 11px;
	bottom: 80px;
	text-align: center;
	margin: 0 auto;
	z-index: 299;
}

.dark-mode i {
	display: block;
	width: 40px;
	height: 40px;
	line-height: 40px;
	text-align: center;
	font-size: 16px;
	color: #FFF !important;
	background-color: #111;
	border-radius: 50%;
	margin: 0 auto;
}

.dark-mode span {
	display: block;
	opacity: 0;
	color: #000;
	font-size: 14px;
	font-weight: 500;
	text-align: center;
	margin: 0;
	-webkit-transform: translateY(10px);
	-ms-transform: translateY(10px);
	-o-transform: translateY(10px);
	transform: translateY(10px);
	-webkit-transition: transform .3s, opacity .3s;
	-o-transition: transform .3s, opacity .3s;
	transition: transform .3s, opacity .3s;
	-webkit-backface-visibility: hidden;
}

.dark-mode:hover span {
	opacity: 1;
	margin-bottom: 7px;
	-webkit-transform: translateY(0);
	-ms-transform: translateY(0);
	-o-transform: translateY(0);
	transform: translateY(0);
}

.dark .dark-mode i {
	color: #111 !important;
	background-color: #FFF;
	-webkit-transform: rotate(180deg);
	-ms-transform: rotate(180deg);
	-o-transform: rotate(180deg);
	transform: rotate(180deg);
}

.dark .dark-mode span { color: #FFF; }
